# Models

## The SequenceSchema object

```json
{"openapi":"3.0.0","info":{"title":"Sequential ID Service","version":"0.0.1"},"components":{"schemas":{"SequenceSchema":{"type":"object","allOf":[{"$ref":"#/components/schemas/SequenceSchemaCreate"},{"properties":{"active":{"type":"boolean","description":"Flag indicating whether the schema is active."},"id":{"type":"string","description":"ID of the sequence schema."},"counter":{"type":"number","description":"Number of created IDs based on the selected schema."},"metadata":{"type":"object","properties":{"createdAt":{"type":"string","format":"date","description":"Date of creation."},"modifiedAt":{"type":"string","format":"date","description":"Date of last modification."},"version":{"type":"number","description":"The version number."}}}}}]},"SequenceSchemaCreate":{"type":"object","properties":{"name":{"type":"string","description":"The name of the sequence schema."},"schemaType":{"type":"string","pattern":"^[a-zA-Z0-9]*$","description":"The schema type corresponding to the entity it is used for. Possible values are:\n- `orderNoSequence`\n- `invoiceNoSequence`\n- `quoteNoSequence`\n- `pickPackNoSequence`\n- `orderHoldingAreaNoSequence`\n"},"preText":{"type":"string","description":"The prefix of the ID. It can contain placeholders, which are replaced with their values.\nPlaceholders are defined in the `placeholders` property.\n"},"postText":{"type":"string","description":"The suffix of the ID. It can contain placeholders, which are replaced with their values.\nPlaceholders are defined in the `placeholders` property.\n"},"startValue":{"type":"number","description":"The starting value of the sequence. It is used to generate the first ID.\nThe starting value is incremented for each subsequent ID.\n"},"maxValue":{"type":"number","description":"The maximum value of the sequence. It is used to limit the range of generated IDs.\nIf the maximum value is reached, the sequence will not generate any more IDs.\n"},"numberOfDigits":{"type":"number","description":"The number of digits in the generated ID. It is used to format the ID.\nIf the number of digits is less than the maximum value, leading zeros are added.\n"},"placeholders":{"$ref":"#/components/schemas/Placeholders"}},"required":["name","startValue","maxValue","numberOfDigits"]},"Placeholders":{"type":"object","description":"The filler text for values based on certain properties or settings in the system.","additionalProperties":{"type":"object","description":"Properties used as placeholders.","properties":{"required":{"type":"boolean"},"default":{"type":"string"}}}}}}}
```

## The SequenceSchemas object

```json
{"openapi":"3.0.0","info":{"title":"Sequential ID Service","version":"0.0.1"},"components":{"schemas":{"SequenceSchemas":{"type":"array","items":{"$ref":"#/components/schemas/SequenceSchema"}},"SequenceSchema":{"type":"object","allOf":[{"$ref":"#/components/schemas/SequenceSchemaCreate"},{"properties":{"active":{"type":"boolean","description":"Flag indicating whether the schema is active."},"id":{"type":"string","description":"ID of the sequence schema."},"counter":{"type":"number","description":"Number of created IDs based on the selected schema."},"metadata":{"type":"object","properties":{"createdAt":{"type":"string","format":"date","description":"Date of creation."},"modifiedAt":{"type":"string","format":"date","description":"Date of last modification."},"version":{"type":"number","description":"The version number."}}}}}]},"SequenceSchemaCreate":{"type":"object","properties":{"name":{"type":"string","description":"The name of the sequence schema."},"schemaType":{"type":"string","pattern":"^[a-zA-Z0-9]*$","description":"The schema type corresponding to the entity it is used for. Possible values are:\n- `orderNoSequence`\n- `invoiceNoSequence`\n- `quoteNoSequence`\n- `pickPackNoSequence`\n- `orderHoldingAreaNoSequence`\n"},"preText":{"type":"string","description":"The prefix of the ID. It can contain placeholders, which are replaced with their values.\nPlaceholders are defined in the `placeholders` property.\n"},"postText":{"type":"string","description":"The suffix of the ID. It can contain placeholders, which are replaced with their values.\nPlaceholders are defined in the `placeholders` property.\n"},"startValue":{"type":"number","description":"The starting value of the sequence. It is used to generate the first ID.\nThe starting value is incremented for each subsequent ID.\n"},"maxValue":{"type":"number","description":"The maximum value of the sequence. It is used to limit the range of generated IDs.\nIf the maximum value is reached, the sequence will not generate any more IDs.\n"},"numberOfDigits":{"type":"number","description":"The number of digits in the generated ID. It is used to format the ID.\nIf the number of digits is less than the maximum value, leading zeros are added.\n"},"placeholders":{"$ref":"#/components/schemas/Placeholders"}},"required":["name","startValue","maxValue","numberOfDigits"]},"Placeholders":{"type":"object","description":"The filler text for values based on certain properties or settings in the system.","additionalProperties":{"type":"object","description":"Properties used as placeholders.","properties":{"required":{"type":"boolean"},"default":{"type":"string"}}}}}}}
```

## The Placeholders object

```json
{"openapi":"3.0.0","info":{"title":"Sequential ID Service","version":"0.0.1"},"components":{"schemas":{"Placeholders":{"type":"object","description":"The filler text for values based on certain properties or settings in the system.","additionalProperties":{"type":"object","description":"Properties used as placeholders.","properties":{"required":{"type":"boolean"},"default":{"type":"string"}}}}}}}
```

## The SequenceSchemaCreate object

```json
{"openapi":"3.0.0","info":{"title":"Sequential ID Service","version":"0.0.1"},"components":{"schemas":{"SequenceSchemaCreate":{"type":"object","properties":{"name":{"type":"string","description":"The name of the sequence schema."},"schemaType":{"type":"string","pattern":"^[a-zA-Z0-9]*$","description":"The schema type corresponding to the entity it is used for. Possible values are:\n- `orderNoSequence`\n- `invoiceNoSequence`\n- `quoteNoSequence`\n- `pickPackNoSequence`\n- `orderHoldingAreaNoSequence`\n"},"preText":{"type":"string","description":"The prefix of the ID. It can contain placeholders, which are replaced with their values.\nPlaceholders are defined in the `placeholders` property.\n"},"postText":{"type":"string","description":"The suffix of the ID. It can contain placeholders, which are replaced with their values.\nPlaceholders are defined in the `placeholders` property.\n"},"startValue":{"type":"number","description":"The starting value of the sequence. It is used to generate the first ID.\nThe starting value is incremented for each subsequent ID.\n"},"maxValue":{"type":"number","description":"The maximum value of the sequence. It is used to limit the range of generated IDs.\nIf the maximum value is reached, the sequence will not generate any more IDs.\n"},"numberOfDigits":{"type":"number","description":"The number of digits in the generated ID. It is used to format the ID.\nIf the number of digits is less than the maximum value, leading zeros are added.\n"},"placeholders":{"$ref":"#/components/schemas/Placeholders"}},"required":["name","startValue","maxValue","numberOfDigits"]},"Placeholders":{"type":"object","description":"The filler text for values based on certain properties or settings in the system.","additionalProperties":{"type":"object","description":"Properties used as placeholders.","properties":{"required":{"type":"boolean"},"default":{"type":"string"}}}}}}}
```

## The NextIdCommandRequest object

```json
{"openapi":"3.0.0","info":{"title":"Sequential ID Service","version":"0.0.1"},"components":{"schemas":{"NextIdCommandRequest":{"type":"object","properties":{"sequenceKey":{"type":"string","description":"The pattern to follow for the nextID."},"placeholders":{"additionalProperties":{"type":"string","description":"Additional property used as a placeholder."},"description":"The filler text for values based on certain properties or settings in the system."}}}}}}
```

## The NextIdResponse object

```json
{"openapi":"3.0.0","info":{"title":"Sequential ID Service","version":"0.0.1"},"components":{"schemas":{"NextIdResponse":{"type":"object","properties":{"id":{"type":"string","description":"The created nextID according to the selected schema."}}}}}}
```

## The SchemaBatchNextIdRequest object

```json
{"openapi":"3.0.0","info":{"title":"Sequential ID Service","version":"0.0.1"},"components":{"schemas":{"SchemaBatchNextIdRequest":{"type":"object","additionalProperties":{"type":"object","properties":{"numberOfIds":{"type":"number","minimum":1,"description":"The number of IDs to create sequentially in one request."},"sequenceKey":{"type":"string","description":"The pattern to follow for the nextID."},"placeholders":{"additionalProperties":{"type":"string","description":"Additional property used as a placeholder."},"description":"The filler text for values based on certain properties or settings in the system."}}}}}}}
```

## The SchemaBatchNextIdResponse object

```json
{"openapi":"3.0.0","info":{"title":"Sequential ID Service","version":"0.0.1"},"components":{"schemas":{"SchemaBatchNextIdResponse":{"type":"object","additionalProperties":{"type":"object","description":"Properties used as placeholders.","properties":{"ids":{"type":"array","items":{"type":"string"},"description":"The sequence ID(s) created according to the selected schema."}}}}}}}
```

## The error object

```json
{"openapi":"3.0.0","info":{"title":"Sequential ID Service","version":"0.0.1"},"components":{"schemas":{"error":{"description":"Schema for API specified errors.","type":"object","properties":{"status":{"minimum":100,"maximum":599,"description":"original HTTP error code, should be consistent with the response HTTP code","type":"integer"},"type":{"pattern":"[a-z]+[a-z_]*[a-z]+","description":"classification of the error type, lower case with underscore eg validation_failure","type":"string"},"message":{"description":"descriptive error message for debugging","type":"string"},"error":{"type":"string"},"timestamp":{"type":"string","format":"date"},"errorDetails":{"type":"array","items":{"type":"object","properties":{"message":{"type":"string"},"field":{"type":"string"}}}}}}}}}
```

## The coreError object

```json
{"openapi":"3.0.0","info":{"title":"Sequential ID Service","version":"0.0.1"},"components":{"schemas":{"coreError":{"type":"object","properties":{"status":{"type":"string","description":"HTTP Status."},"message":{"type":"string","description":"Error message."}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.emporix.io/api-references-1/readme/api-reference-33/models.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
